Bgames
Olá visitante! Seja bem vindo ao nosso fórum!

Para você ter total acesso ao nosso fórum é preciso que você se cadastre.

Cadastre-se Aqui!


PARA VER LINKS E IMAGENS É PRECISO SE REGISTRAR!

[Dúvida] Use -Wno-dev alguem pode explica isso

Ver o tópico anterior Ver o tópico seguinte Ir em baixo

[Dúvida] Use -Wno-dev alguem pode explica isso

Mensagem por mestredosmagos em Qui 18 Jun 2015 - 6:28

agora da esse erro

C:\Program Files\Microsoft Visual Studio 12.0\VC\include\xmemory0(577): error C3859: virtual memory range for PCH exceeded; please recompile with a command line option of '-Zm138' or greater
2>C:\Program Files\Microsoft Visual Studio 12.0\VC\include\xmemory0(577): fatal error C1076: compiler limit : internal heap limit reached; use /Zm to specify a higher limit
4>------ Build started: Project: authserver, Configuration: Release Win32 ------





sempre que compilia alguens script dar essa mesagen 







Policy CMP0043 is not set: Ignore COMPILE_DEFINITIONS_ properties.
Run "cmake --help-policy CMP0043" for policy details. Use the cmake_policy
command to set the policy and suppress this warning.
This warning is for project developers. Use -Wno-dev to suppress it.




E  guando eu termina co visual studio da  3 erro 

Error 1 error C3859: virtual memory range for PCH exceeded; please recompile with a command line option of '-Zm174' or greater C:\Program Files\Microsoft Visual Studio 12.0\VC\include\xmemory0 592 1 game
Error 2 error C1076: compiler limit : internal heap limit reached; use /Zm to specify a higher limit C:\Program Files\Microsoft Visual Studio 12.0\VC\include\xmemory0 592 1 game
Error 3 error LNK1181: cannot open input file '..\game\Release\game.lib' C:\pasta core\build1145\src\server\worldserver\LINK worldserver



Generating done


Última edição por mestredosmagos em Qui 25 Jun 2015 - 22:36, editado 1 vez(es)

mestredosmagos


Mensagens : 154
Pontos : 363

Ver perfil do usuário

Voltar ao Topo Ir em baixo

Re: [Dúvida] Use -Wno-dev alguem pode explica isso

Mensagem por Erictemponi em Qui 18 Jun 2015 - 12:00

Olá mestredosmagos.
O primeiro diz que a política CMP0043 não foi definida. E é para você executar o comando: cmake --help-policy CMP0043 para ver os detalhes dessa política. E usar o comando: cmake_policy para definir a política para que a mensagem não apareça mais.

Você está usando qual versão do CMake?
Atualize seu CMake para a versão Release mais recente.

O segundo diz que a memória virtual excedeu o limite e é para você recompilar usando a linha de comando: /Zm174 ou um valor maior.

Você clonou os arquivos fonte do Servidor da GitHub ou baixou o arquivo ZIP? Porque quando se clona, os projetos já vêm com a linha de comando adicionada. Então se você baixou o arquivo ZIP, clone os arquivos e veja se o erro persiste. Se você clonou, os projetos já têm a linha de comando adicionada, o que você deve fazer é aumentar o valor que está depois do /Zm.
Para aumentar, faça o seguinte:
1º: Abra o Projeto do Servidor (Aquele arquivo que você abre quando vai compilar);
2º: No Solution Explorer, clique com o botão direito do mouse sobre um dos projetos, como por exemplo o authserver, e clique  em Properties (Alt+Enter);
3º: Clique na setinha de expandimento do C/C++ e clique em Command Line;
4º: Em Additional Options, mude o /Zmvalor para um valor maior. Por exemplo: Se estiver /Zm500, mude para /Zm600.
[Você precisa estar registrado e conectado para ver esta imagem.]

Atenciosamente, Erictemponi

Erictemponi


Mensagens : 1825
Pontos : 7296
Evolução : 2


Ver perfil do usuário http://www.fury-share.blogspot.com.br/

Voltar ao Topo Ir em baixo

Ver o tópico anterior Ver o tópico seguinte Voltar ao Topo


 
Permissão deste fórum:
Você não pode responder aos tópicos neste fórum